%define	pkgname	tacacs
Name:		tacacs+
Version: 	F4.0.4.28
Release:	3.3
License: 	GPL
Group: 		System
Summary: 	TACACS+ Daemon
URL: 		http://www.shrubbery.net/tac_plus/
Source0: 	%{pkgname}-%{version}.tar.gz
Source1:	tac_plus.init.suse
Source2:	tac_plus.sysconfig
Source3:	tac_plus.init.rh
Source4:	tac_plus.logrotate
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel gcc gcc-c++ flex bison pam-devel
%if 0%{?suse_version}
BuildRequires:	tcpd-devel
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?redhat_version} || 0%{?rhel_version} || 0%{?sl_version}
BuildRequires:	tcp_wrappers tcp_wrappers-devel
%endif

%if 0%{?suse_version}
Requires(pre):  pwdutils
Requires:	logrotate
%else
Requires:	shadow-utils
Requires:	logrotate
%endif

%define user_name tacacs

%description
Terminal access controller access control system (TACACS) is a 
remote authentication protocol that is used to communicate with an 
authentication server commonly used in UNIX networks. 
TACACS allows a remote access server to communicate with an 
authentication server in order to determine if the user has access to the network.


%prep
%setup -n %{pkgname}-%{version}
%configure

%build
%__make

%__make DESTDIR=%{buildroot} install
install -m 755 -d %{buildroot}/%{_docdir}/%{name}
mv %{buildroot}/%{_datadir}/%{pkgname}/* %{buildroot}/%{_docdir}/%{name}/
rm -rf %{buildroot}/%{_datadir}/%{pkgname}
%if 0%{?suse_version}
%__install    -D -m 0755 %{S:1}          %{buildroot}%{_sysconfdir}/init.d/tac_plus
%__install    -D -m 0755 %{S:2}          %{buildroot}%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}
%else
%__install    -D -m 0755 %{S:2}          %{buildroot}%{_sysconfdir}/sysconfig/tac_plus
%__install    -D -m 0755 %{S:3}		 %{buildroot}%{_sysconfdir}/init.d/tac_plus
%endif
%__install    -D -m 0644 %{S:4}          %{buildroot}%{_sysconfdir}/logrotate.d/tac_plus

%pre
getent group %{user_name} >/dev/null || groupadd -r %{user_name}
getent passwd %{user_name} >/dev/null || useradd -r -g %{user_name} -d /var/lib/%{user_name} -s /sbin/nologin -c "user for %{user_name}" %{user_name}
exit 0

%post
%if 0%{?suse_version}
%{fillup_and_insserv tac_plus}
%else
/sbin/chkconfig --add tac_plus
%endif

%postun
if [ $1 == 0 ] ; then
 %if 0%{?suse_version}
  %{insserv_cleanup}
 %else
  /sbin/chkconfig --del tac_plus || :
 %endif
elif [ $1 == 1 ] ; then
 %if 0%{?suse_version}
  %restart_on_update tac_plus
 %else
  /sbin/service tac_plus restart || :
 %endif
fi

%preun
if [ $1 = 0 ]; then
 %if 0%{?suse_version}
  %stop_on_removal tac_plus
 %else
  %{_sysconfdir}/init.d/tac_plus stop || :
  /sbin/chkconfig --del tac_plus || :
 %endif
fi


%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%{_sbindir}/tac_plus
%{_bindir}/tac_pwd
%{_mandir}/man5/tac_plus.conf.5
%{_mandir}/man8/tac_plus.8
%{_mandir}/man8/tac_pwd.8
%{_libdir}/libtacacs.*
%{_includedir}/tacacs.h
%doc %{_docdir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/tac_plus
%if 0%{?suse_version}
%{_sysconfdir}/init.d/tac_plus
%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}
%else
%{_sysconfdir}/sysconfig/tac_plus
%{_sysconfdir}/init.d/tac_plus
%endif

%changelog
* Mon Jun  1 2015 cs@linux-administrator.com
- update to F4.0.4.28
* Mon Jul 28 2014 cs@linux-administrator.com
- fix syntax errors in redhat init script
* Fri Dec 13 2013 cs@linux-administrator.com
- add service user
- add logrotate
- update init script
* Tue Dec 10 2013 cs@linux-administrator.com
- update to F4.0.4.27a
* Sun Jan 13 2013 cs@linux-administrator.com
- update to F4.0.4.26
